AboutDialog.ShowPage (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.about.AboutDialog.ShowPage class
Date: 2017-09-13

net.sourceforge.jnlp.about

## Enum AboutDialog.ShowPage

- java.lang.Object
- - java.lang.Enum<AboutDialog.ShowPage>
  - - net.sourceforge.jnlp.about.AboutDialog.ShowPage

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AboutDialog.ShowPage>
  Enclosing class:
    AboutDialog

      public static enum AboutDialog.ShowPage
      extends java.lang.Enum<AboutDialog.ShowPage>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABOUT`
    `AUTHORS`
    `CHANGELOG`
    `HELP`
    `LICENSE`
    `NEWS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AboutDialog.ShowPage` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AboutDialog.ShowPage[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ABOUT

          public static final AboutDialog.ShowPage ABOUT

    - #### AUTHORS

          public static final AboutDialog.ShowPage AUTHORS

    - #### NEWS

          public static final AboutDialog.ShowPage NEWS

    - #### CHANGELOG

          public static final AboutDialog.ShowPage CHANGELOG

    - #### LICENSE

          public static final AboutDialog.ShowPage LICENSE

    - #### HELP

          public static final AboutDialog.ShowPage HELP

  - ### Method Detail

    - #### values

          public static AboutDialog.ShowPage[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AboutDialog.ShowPage c : AboutDialog.ShowPage.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AboutDialog.ShowPage valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Submit a bug or feature